do

local makeOurDate = function(dateString)
  local pattern = "(%d+)%-(%d+)%-(%d+)"
  local year, month, day = dateString:match(pattern)
  return day..'.'..month..'.'..year
end

local function get_post(post)
  local url = 'http://akamaru.de/?json=get_post&post_id=blub'
  local res,code  = http.request(url)
  local data = json:decode(res).post
  if code ~= 200 then return "HTTP-Fehler" end
  if not data then return "HTTP-Fehler" end
 
  local title = data.title
  -- Character encoding
  title = string.gsub(title, "&acute;", "´")
  title = string.gsub(title, "&amp;", "&")
  title = string.gsub(title, "&gt;", ">")
  title = string.gsub(title, "&quot;", '"')
  title = string.gsub(title, "&lt;", "<")
  title = string.gsub(title, "&mdash;", "—")
  title = string.gsub(title, "&nabla;", "∇")
  title = string.gsub(title, "&ndash;", "–")
  title = string.gsub(title, "&Psi;", "ψ")
  title = string.gsub(title, "&psi;", "ψ")
  title = string.gsub(title, "&raquo;", "»")
  title = string.gsub(title, "&szlig;", "ß")
  title = string.gsub(title, "&trade;", "™")
  title = string.gsub(title, "&#039;", "'")
  title = string.gsub(title, "&#39;", "'")
  title = string.gsub(title, "&#124;", "|")
  title = string.gsub(title, "&#160;", " ")
  title = string.gsub(title, "&#187;", "»")
  title = string.gsub(title, "&#223;", "ß")
  title = string.gsub(title, "&#8211;", "–")
  title = string.gsub(title, "&#8217;", "'")
  title = string.gsub(title, "&#8220;", "“")
  title = string.gsub(title, "&#8221;", "”")
  title = string.gsub(title, "&#8222;", "„")
  title = string.gsub(title, "&#8249;", "‹")
  title = string.gsub(title, "&#8364;", "€") 
  -- Ä Ö Ü
  title = string.gsub(title, "&auml;", "ä")
  title = string.gsub(title, "&Auml;", "Ä")
  title = string.gsub(title, "&#228;", "ä")
  title = string.gsub(title, "&#196;", "Ä")
  title = string.gsub(title, "&ouml;", "ö")
  title = string.gsub(title, "&Ouml;", "Ö")
  title = string.gsub(title, "&#246;", "ö")
  title = string.gsub(title, "&#214;", "Ö")
  title = string.gsub(title, "&uuml;", "ü")
  title = string.gsub(title, "&Uuml;", "Ü")
  title = string.gsub(title, "&#252;", "ü")
  title = string.gsub(title, "&#220;", "Ü")
  
  local from = data.author.name
  local date = makeOurDate(data.date)
  local content = string.match(data.excerpt, '<p>(.*)</p>')
  local url = data.url
  
  local text = title..' ('..from..' am '..date..')\n\n'..content..'...\n'..url
 
    return text
end

local function run(msg, matches)
  local text = get_post(post)
  local receiver = get_receiver(msg)
  return text
end

return {
  description = "Sendet letzten Aka's Blog Beitrag", 
  usage = "/aka",
  patterns = {"^/[Aa][Kk][Aa]$"},
  run = run 
}

end